Groovy Documentation

## org.codehaus.groovy.grails.webflow.persistence
[Java] Class FlowAwareCurrentSessionContext

    java.lang.Object
      org.springframework.orm.hibernate3.SpringSessionContext
          org.codehaus.groovy.grails.webflow.persistence.FlowAwareCurrentSessionContext

    public class FlowAwareCurrentSessionContext
    extends SpringSessionContext

A Hibernate CurrentSessionContext that is aware of flow requests and looks up the Session from the flow instead of the current Thread.

Authors:
  Graeme Rocher

Since:
  1.0

Constructor Summary
`FlowAwareCurrentSessionContext(SessionFactoryImplementor sessionFactory)` Create a new SpringSessionContext for the given Hibernate SessionFactory.

Method Summary
`Session` | `currentSession()`

Constructor Detail

### FlowAwareCurrentSessionContext

    public FlowAwareCurrentSessionContext(SessionFactoryImplementor sessionFactory)

  Create a new SpringSessionContext for the given Hibernate SessionFactory.
  Parameters:
    `sessionFactory` - the SessionFactory to provide current Sessions for

Method Detail

### currentSession

    @Override
    public Session currentSession()

Groovy Documentation